Error: React native is not installed. Please run `npm install` in your project directory

Error: React native is not installed. Please run `npm install` in your project directory

ERROR STARTING PACKAGER

Error: React native is not installed. Please run npm install in your project directory. 1:23:51 AM: Error starting packager: Error: Couldn’t start project. Please fix t he errors and restart the project. at E:\xdl\src\Project.js:1126:11 at next (native) at step (E:\react-native\hello-world\node_modules\xdl\build\Project.js:1504: 191) at E:\react-native\hello-world\node_modules\xdl\build\Project.js:1504:361 npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! hello-world@0.1.0 start: react-native-scripts start npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the hello-world@0.1.0 start script. npm ERR! This is probably not a problem with npm. There is likely additional log ging output above.

npm ERR! A complete log of this run can be found in: npm ERR! C:\Users\Jawad Ul Hassan\AppData\Roaming\npm-cache_logs\2017-09-08 T20_23_51_654Z-debug.log

what could be my mistake or any suggestion about doing it right way ?

after npm install getting this

his is might be because of npm version v5 so

npm 5 is still very buggy, please either use yarn or npm version 4.

OR make sure you do npm install from your project directory. This is also one of the reasons why you get this error

when I Installed the react-navigation package that error occurred for me. I’ve fixed my issue

  1. Delete node_modules, package-lock.json
  2. run “yarn install“.
  3. run “npm start“.

Leave a Reply

Your email address will not be published. Required fields are marked *

Total
0
Share